<!DOCTYPE html> 
<html lang="pt-BR"> 
<head> 
  <meta charset="utf-8"> 
  <title> Matrizes em PHP  </title> 
  <link rel="stylesheet" href="formata-formulario.css">
</head> 

<body> 
 <h1> Matrizes em PHP - cadastro e controle de medicamentos </h1>
    
    <?php
    //recebendo o código do medicamento para pesquisa
    $codigoDoMedicPesquisado = $_POST['codigo-pesquisado'];

    $preco1 = $_POST["preco1"];
    $preco2 = $_POST["preco2"];
    $preco3 = $_POST["preco3"];

    $cod1 = $_POST["cod1"];
    $cod2 = $_POST["cod2"];
    $cod3 = $_POST["cod3"];

    $nomeMedic1 = $_POST['medic1'];
    $nomeMedic2 = $_POST['medic2'];
    $nomeMedic3 = $_POST['medic3'];

    //criar a matriz
    $matrizMedicamentos = [$cod1 => [$nomeMedic1, $preco1],
                           $cod2 => [$nomeMedic2, $preco2],
                           $cod3 => [$nomeMedic3, $preco3]];

    //mostrar os dados de todos os medicamentos no formato tabular
    echo "<table> 
           <caption> Medicamentos cadastrados na matriz </caption>
           <tr>
            <th> Código </th>
            <th> Medicamento </th>
            <th> Preço </th>
           </tr>"

    foreach($matrizMedicamentos as $codigo => $vetorInterno)
     {
     $preco = $vetorInterno[1];
     $precoFormatado = number_format($preco, 2, ",", ".");
     $nomeRemedio = $vetorInterno[0];
     echo "<tr>
            <td> $codigo </td>
            <td> $nomeRemedio </td>
            <td> $precoFormatado </td>
           </tr>";
     }

   echo "</table>";

   //mostrar os dados do medicamento mais barato na matriz
   foreach($matrizMedicamentos as $codigo => $vetorInterno)
    {
    $vetorPrecos[$codigo] = $vetorInterno[1];
    }

   $menorPreco = min($vetorPrecos);
   $codigoRemedioMenorPreco = array_search($menorPreco, $vetorPrecos);
   $nomeRemedioMenorPreco = $matrizMedicamentos[$codigoRemedioMenorPreco][0];
   $menorPrecoFormatado = number_format($menorPreco, 2, ",", ".");

   //embora o enunciado tenha pedido apenas o nome do medicamento mais barato, vamos mostrar todos os dados

   echo "<p> Dados do medicamento com o menor preço cadastrado na matriz: <br>
             Nome do medicamento: <span> $nomeRemedioMenorPreco </span> <br>
             Código do medicamento com menor preço: <span> $codigoRemedioMenorPreco </span> <br>
             Preço do medicamento mais barato: <span> R$$menorPrecoFormatado </span> </p>";

   //mostrar os dados do medicamento pesquisado
   $encontrou = array_key_exists($codigoDoMedicPesquisado, $matrizMedicamentos);

   if($encontrou) //equivale, em PHP, a if($encontrou == true)
    {
    $nomeMedicamentoPesquisado  = $matrizMedicamentos[$codigoDoMedicPesquisado][0];
    $precoMedicamentoPesquisado = $matrizMedicamentos[$codigoDoMedicPesquisado][1];
    $precoMedicamentoPesquisadoFormatado = number_format($precoMedicamentoPesquisado, 2, ",", ".");
    echo "<p> Dados do medicamento pesquisado: <br>
              Nome: <span> $nomeMedicamentoPesquisado </span> <br>
              Código: <span> $codigoDoMedicPesquisado </span> <br>
              Preço: <span> R$$precoMedicamentoPesquisadoFormatado </span> </p>";
    }
   else
    {
    echo "<p> Caro usuário, o medicamento que você pesquisou, com código igual a <span> $codigoDoMedicPesquisado </span> não está caastrado na matriz. Tente novamente! </p>";
    }


   //ordenar a matriz, por meio do nome do medicamento, e mostrar estes dados ordenados em uma tabela na página web - ordem alfabética crescente do nome

   foreach($matrizMedicamentos as $codigo => $vetorInterno)
    {
    $vetorNomes[$codigo] = $vetorInterno[0];
    }

   asort($vetorNomes);

   echo "<table>
          <caption> Dados dos medicamentos cadastrados, ordenados crescentemente pelo nome </caption>
          <tr>
           <th> Código </th>
           <th> Medicamento </th>
           <th> Preço </th>
          </tr>";

   foreach($vetorNomes as $codigo => $nomeMedic)
    {
    $precoMedic = $matrizMedicamentos[$codigo][1];
    $precoMedicFormatado = number_format($precoMedic, 2, ",", ".");
    echo "<tr>
           <td> $codigo </td>
           <td> $nomeMedic </td>
           <td> $precoMedicFormatado </td>
          </tr>";
    }

   echo "</table>";
  ?>
</body> 
</html> 